Subject: Re: bug#31326: 27.0.50; eshell/clear exceeds max-lisp-eval-depth

From: Jonathan Kyle Mitchell <[email-masked]>
Date: Fri, 4 May 2018 13:07:01 -0500

On 05/04/2018 05:42 AM, Noam Postavsky wrote:
> tags 31326 + patch
> quit
>
> Jonathan Kyle Mitchell <[email-masked]> writes:
>
>> I did a little more investigation into this issue. While I don't fully
>> understand all the code paths of how it works, I found that let
>> binding eshell-input-filter-functions to nil stops the infinite
>> looping.
>> Here's a diff for the change that works for me:
>> -    (let ((eshell-input-filter-functions
>> -           (remq 'eshell-add-to-history eshell-input-filter-functions)))
>> +    (let ((eshell-input-filter-functions nil))
>>         (insert (make-string (window-size) ?\n))
>>         (eshell-send-input))))
> Makes sense, I'll push this to master in a few days.  Have you assigned
> copyright for Emacs?  If no, I'll mark it as a tiny change.
>
>

Thanks. No, I don't have any copyright papers signed. What's the process 
for doing that?

-- 
Jonathan Kyle Mitchell